могу ли я использовать несколько версий jquery на одной странице?

<script><script><iframe><script>

проект я работаю над требует использования jquery на веб-страницы клиентов. клиентам будет вставить кусок кода, который мы будем поставлять который включает в себя несколько элементов, которые создать виджет в созданных . если они до сих пор не используете последнюю версию jquery, а также (скорее всего) размещенная версия google с помощью jquery.

проблема в том, что некоторые клиенты, возможно, уже старую установленную версию jquery. в то время как это может работать, если это, по крайней мере, довольно свежая версия, наш код не полагаться на некоторые недавно введенные функциональные возможности библиотеки jquery, поэтому там обязательно будут случаи, когда клиент по версии jquery является просто слишком стар. мы не можем требовать, чтобы они обновить последнюю версию jquery.

есть ли способ, чтобы загрузить более новую версию jquery, чтобы использовать только в контексте нашего кода, которые не будут мешать или не затрагивает каких-либо код на странице? в идеале, может быть, мы могли бы проверить на наличие jquery, то обнаружить его версию, и если она слишком старая, то как-то загрузить самую последнюю версию, чтобы использовать для нашего кода.

<iframe><script><iframe>

у меня была идея загрузки jquery в качестве клиента домена, который также включает в себя наши , которые, похоже, это может быть возможным, но я надеюсь, что есть более элегантный способ сделать это (не говоря уже без сложностью исполнения и взыскания дополнительных ов).